from fastapi import FastAPI
from .routers.health import router as health_router
from .routers.files import router as files_router
from .routers.reconstruct import router as reconstruct_router

app = FastAPI(title="Reconstruction API", version="1.0.0")

app.include_router(health_router)
app.include_router(files_router)
app.include_router(reconstruct_router)

if __name__ == "__main__":
    import uvicorn
    # 127.0.0.1:8000/docs
    uvicorn.run(app, host="0.0.0.0", port=8000)
